"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1098e84a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1098e85e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8540>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8680>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8720>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1098e87c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8860>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8900>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1098e89a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8a40>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8ae0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8b80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8c20>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8cc0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8d60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8e00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8ea0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8f40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1098e8fe0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9080>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9120>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1098e91c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9260>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9300>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1098e93a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9440>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1098e94e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9580>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9620>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1098e96c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9760>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9800>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1098e98a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9940>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1098e99e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9a80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9b20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9bc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9c60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9d00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9da0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9e40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9ee0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1098e9f80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea020>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea0c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea160>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea200>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea2a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea340>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea3e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea480>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea520>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea5c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea660>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea7a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea840>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea8e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1098ea980>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1098eaa20>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1098eaac0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1098eab60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1098eac00>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1098eaca0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1098ead40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1098eade0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1098eae80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1098eaf20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1098eafc0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb060>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb100>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb1a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb240>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb2e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb380>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb420>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb4c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb560>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb6a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb600>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb740>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb7e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb880>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1098eb920>)]
name: str = 'fr_HOCCN'
